import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:sigmob_plugin/sigmob_plugin.dart';
import 'package:sigmob_plugin_example/pages/home_page.dart';
import 'package:sigmob_plugin_example/router/index.dart';


void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  final router = MyRouter();

  @override
  void initState() {
    super.initState();
  }


  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
        appBar: AppBar(
          title: const Text('FlutterSigmobPlugin'),
        ),
        body: HomePage(),
      ),
    );
  }
}

