//
//  FlutterSigmobUtil.m
//  fluttersigmob
//
//  Created by Codi on 2020/7/31.
//

#import "FlutterSigmobUtil.h"

@implementation FlutterSigmobUtil


#pragma mark - private
+ (UIViewController *)getCurrentViewController {
    UIViewController *result = nil;
    // 获取默认的window
    UIWindow *window = [UIApplication.sharedApplication.windows objectAtIndex:0];
    if (window.windowLevel != UIWindowLevelNormal) {
        NSArray *windows = [[UIApplication sharedApplication] windows];
        for(UIWindow * tmpWin in windows) {
            if (tmpWin.windowLevel == UIWindowLevelNormal) {
                window = tmpWin;
                break;
            }
        }
    }
    // 获取window的rootViewController
    result = window.rootViewController;
    
    while (result.presentedViewController) {
        result = result.presentedViewController;
    }
    if ([result isKindOfClass:[UITabBarController class]]) {
        result = [(UITabBarController *)result selectedViewController];
    }
    if ([result isKindOfClass:[UINavigationController class]]) {
        result = [(UINavigationController *)result visibleViewController];
    }
    return result;
}

@end
