//
//  FlutterSigmobEventPlugin.h
//  fluttersigmob
//
//  Created by Codi on 2020/7/19.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>

typedef enum : NSUInteger {
    SigmobCallbackAdServerDidSuccess,
    SigmobCallbackAdServerDidFail,
    SigmobCallbackAdLoadSuccess,
    SigmobCallbackAdPlayStart,
    SigmobCallbackAdPlayEnd,
    SigmobCallbackAdClicked,
    SigmobCallbackAdClosed,
    SigmobCallbackError,
    SigmobCallbackAdPlayError,
} SigmobCallbackType;


@interface FlutterSigmobEventPlugin : NSObject<FlutterStreamHandler>

@property (nonatomic, copy) FlutterEventSink eventSink;
@property (nonatomic, strong) FlutterEventChannel *eventChannel;

- (instancetype)initChannelWithName:(NSString *)name binaryMessenger:(NSObject<FlutterBinaryMessenger>*)messenger;

@end
