//
//  FlutterSigmobEventPlugin.m
//  fluttersigmob
//
//  Created by Codi on 2020/7/19.
//

#import "FlutterSigmobEventPlugin.h"

@implementation FlutterSigmobEventPlugin


- (instancetype)initChannelWithName:(NSString *)name binaryMessenger:(NSObject<FlutterBinaryMessenger> *)messenger {
    self = [super init];
    if (self) {
        self.eventChannel = [FlutterEventChannel eventChannelWithName:name binaryMessenger:messenger];
        [self.eventChannel setStreamHandler:self];
    }
    return self;
}


- (FlutterError *)onCancelWithArguments:(id)arguments {
    self.eventSink = nil;
    return nil;
}

- (FlutterError *)onListenWithArguments:(id)arguments eventSink:(FlutterEventSink)events {
    self.eventSink = events;
    return nil;
}

@end
